Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.pattern
Class ExtendedThrowablePatternConverter

    java.lang.Object
      org.apache.logging.log4j.core.pattern.AbstractPatternConverter
          org.apache.logging.log4j.core.pattern.LogEventPatternConverter
              org.apache.logging.log4j.core.pattern.ThrowablePatternConverter
                  org.apache.logging.log4j.core.pattern.ExtendedThrowablePatternConverter

All Implemented Interfaces:
  PatternConverter

    @Plugin(name="ExtendedThrowablePatternConverter",
            category="Converter")
    public final class ExtendedThrowablePatternConverter

extends ThrowablePatternConverter

Outputs the Throwable portion of the LoggingEvent as a full stack trace unless this converter's option is 'short', where it just outputs the first line of the trace, or if the number of lines to print is explicitly specified.

The extended stack trace will also include the location of where the class was loaded from and the version of the jar if available.

Field Summary

Fields inherited from class org.apache.logging.log4j.core.pattern.ThrowablePatternConverter
`options`

Fields inherited from class org.apache.logging.log4j.core.pattern.AbstractPatternConverter
`LOGGER`

Fields inherited from interface org.apache.logging.log4j.core.pattern.PatternConverter
`CATEGORY`

Method Summary
`void` | `format(LogEvent event, StringBuilder toAppendTo)` Formats an event into a string buffer.
`static ExtendedThrowablePatternConverter` | `newInstance(String[] options)` Gets an instance of the class.

Methods inherited from class org.apache.logging.log4j.core.pattern.ThrowablePatternConverter
`handlesThrowable`

Methods inherited from class org.apache.logging.log4j.core.pattern.LogEventPatternConverter
`format`

Methods inherited from class org.apache.logging.log4j.core.pattern.AbstractPatternConverter
`getName, getStyleClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newInstance

    public static ExtendedThrowablePatternConverter newInstance(String[] options)

  Gets an instance of the class.

  Parameters:
    `options` - pattern options, may be null. If first element is "short", only the first line of the throwable will be formatted.
  Returns:
    instance of class.

### format

    public void format(LogEvent event,
                       StringBuilder toAppendTo)

  Formats an event into a string buffer.

  Overrides:
    `format` in class `ThrowablePatternConverter`
  Parameters:
    `event` - event to format, may not be null.
    `toAppendTo` - string buffer to which the formatted event will be appended. May not be null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.